%global         shortname       garden
%global         srcname         kivy-garden
%global         forgeurl        https://github.com/kivy-garden/garden
Version:        0.1.5
%global         tag             v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        1%{?dist}
Summary:        The kivy garden installation script

License:        MIT
URL:            %forgeurl
Source0:        %forgesource

BuildRequires:  python3-devel
BuildArch: noarch

%global _description %{expand:
The kivy garden installation script, split into its own package for convenient
use in buildozer.}


%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{shortname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{shortname}

# Remove windows file
rm %{buildroot}%{_bindir}/garden.bat

%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%{_bindir}/garden
%doc README.md
%license LICENSE


%changelog
* Tue Jan 16 2024 Benson Muite <benson_muite@emailplus.org> - 0.1.5-1
- Initial import
